Subject: Re: bug#50959: 28.0.50; Shorthand symbols are unknown to Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Oct 2021 20:58:22 +0300

> From: João Távora <[email-masked]>
> Date: Sat, 2 Oct 2021 18:46:18 +0100
> Cc: Phil Sainty <[email-masked]>, [email-masked]
> 
> On Sat, Oct 2, 2021 at 4:53 PM Eli Zaretskii <[email-masked]> wrote:
> > > Because 's-concat' is _not_ a symbol.
> >
> > I don't see the significance of the difference, from the usability
> > POV.
> 
> You don't?  Maybe you are still somewhat thinking of shorthands
> as similar to the products of defvaralias or defalias.  s-concat
> may mean magnar-string-concat in a buffer, and stream-concat
> in another.  In that some other buffer magnar-string-concat may
> be accessible by the shorthand ms-concat.

We are talking at cross-purposes.  You are talking about the
underlying mechanism; I'm talking about the user's experience.  From
the UX POV, it is unexpected to be unable to get help about a
symbol-like thing the user sees in the buffer.